org.codehaus.plexus.maven.plugin

## Class PlexusMergeMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.plexus.maven.plugin.PlexusMergeMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class PlexusMergeMojo
    extends org.apache.maven.plugin.AbstractMojo

Merges a set of Plexus descriptors into one descriptor file.

Version:
  $Id: PlexusMergeMojo.java 7986 2008-12-31 09:47:23Z bentmann $
Author:
  Jason van Zyl, Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`PlexusMergeMojo()`

### Method Summary

Methods
`void` `execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusMergeMojo

    public PlexusMergeMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`